[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorListBox.Notification

Performs actions needed when the specified component is added to or removed from the control.

## Declaration

Source position: colorbox.pas line 204

`protected procedure TCustomColorListBox.Notification(`
`AComponent: TComponent;`
`Operation: TOperation`
`); override;`

## Arguments

`AComponent` |  | Component for the notification.
`Operation` |  | Action performed for the specified component.

## Description

Notification is an overridden method in TCustomColorListBox. It calls the inherited method on entry to handle notifications in ancestor classes and their child components. It ensures that the reference in ColorDialog is set to Nil when the component is removed from the control.

## See also

TCustomColorListBox.ColorDialog |  | Dialog displayed to select a custom color for the control.
TControl.Notification |  | Notification handler for insertion or deletion of components.
TComponent